> For the complete documentation index, see [llms.txt](https://docs-rpc.crypto-chief.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-rpc.crypto-chief.com/chains/gnosis-beacon/beacon-part-3.md).

# Beacon (part 3)

#### `POST /eth/v1/beacon/pool/proposer_slashings`

> Submits the ProposerSlashing object to the node's pool.

Submits ProposerSlashing object to node's pool and if passes validation node MUST broadcast it to network.

**Parameters**

* `<request body>` (required):

```
{
  "signed_header_1": {
    "message": {
      "slot": "1",
      "proposer_index": "1",
      "parent_root": "0xcf8e0d4e9587369b2301d0790347320302cc0943d5a1884560367e8208d920f2",
      "state_root": "0xcf8e0d4e9587369b2301d0790347320302cc0943d5a1884560367e8208d920f2",
      "body_root": "0xcf8e0d4e9587369b2301d0790347320302cc0943d5a1884560367e8208d920f2"
    },
    "signature": "0x1b66ac1fb663c9bc59509846d6ec05345bd908eda73e670af888da41af171505cc411d61252fb6cb3fa0017b679f8bb2305b26a285fa2737f175668d0dff91cc1b66ac1fb663c9bc59509846d6ec05345bd908eda73e670af888da41af171505"
  },
  "signed_header_2": {
    "message": {
      "slot": "1",
      "proposer_index": "1",
      "parent_root": "0xcf8e0d4e9587369b2301d0790347320302cc0943d5a1884560367e8208d920f2",
      "state_root": "0xcf8e0d4e9587369b2301d0790347320302cc0943d5a1884560367e8208d920f2",
      "body_root": "0xcf8e0d4e9587369b2301d0790347320302cc0943d5a1884560367e8208d920f2"
    },
    "signature": "0x1b66ac1fb663c9bc59509846d6ec05345bd908eda73e670af888da41af171505cc411d61252fb6cb3fa0017b679f8bb2305b26a285fa2737f175668d0dff91cc1b66ac1fb663c9bc59509846d6ec05345bd908eda73e670af888da41af171505"
  }
}
```

**Request example**

```bash
curl -X POST "https://rpc.crypto-chief.com/gnosis-beacon/{YOUR_API_KEY}/eth/v1/beacon/pool/proposer_slashings" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{request body}'
```

**Responses**

* `Code 200`: Success.
* `Code 400`: Invalid proposer slashing.

```
{
  "code": 400,
  "message": "Invalid proposer slashing, it will never pass validation so it's rejected"
}
```

* `Code 500`: Beacon node internal error.

```
{
  "code": 500,
  "message": "Internal server error"
}
```

***

#### `POST /eth/v1/beacon/pool/sync_committees`

> Submits sync committee signatures to the node.

Submits sync committee signature objects to the node.

Sync committee signatures are not present in phase0, but are required for Altair networks.

If a sync committee signature is validated successfully the node MUST publish that sync committee signature on all applicable subnets.

If one or more sync committee signatures fail validation the node MUST return a 400 error with details of which sync committee signatures have failed, and why.

**Parameters**

* `<request body>` (required):

```
[
  {
    "slot": "1",
    "beacon_block_root": "0xcf8e0d4e9587369b2301d0790347320302cc0943d5a1884560367e8208d920f2",
    "validator_index": "1",
    "signature": "0x1b66ac1fb663c9bc59509846d6ec05345bd908eda73e670af888da41af171505cc411d61252fb6cb3fa0017b679f8bb2305b26a285fa2737f175668d0dff91cc1b66ac1fb663c9bc59509846d6ec05345bd908eda73e670af888da41af171505"
  }
]
```

**Request example**

```bash
curl -X POST "https://rpc.crypto-chief.com/gnosis-beacon/{YOUR_API_KEY}/eth/v1/beacon/pool/sync_committees" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{request body}'
```

**Responses**

* `Code 200`: Sync committee signatures are stored in pool and broadcast on appropriate subnet.
* `Code 400`: Errors with one or more sync committee signatures.

```
{
  "code": 400,
  "message": "some failures",
  "failures": [
    {
      "index": 3,
      "message": "invalid signature"
    }
  ]
}
```

* `Code 500`: Beacon node internal error.

```
{
  "code": 500,
  "message": "Internal server error"
}
```

***

#### `GET /eth/v1/beacon/pool/voluntary_exits`

> Retrieves SignedVoluntaryExit from the operations pool.

Retrieves voluntary exits known by the node but not necessarily incorporated into any block.

**Parameters**

None.

**Request example**

```bash
curl -X GET "https://rpc.crypto-chief.com/gnosis-beacon/{YOUR_API_KEY}/eth/v1/beacon/pool/voluntary_exits" \
-H "Accept: application/json"
```

**Responses**

* `Code 200`: Success.

```
{
  "data": [
    {
      "message": {
        "epoch": "1",
        "validator_index": "1"
      },
      "signature": "0x1b66ac1fb663c9bc59509846d6ec05345bd908eda73e670af888da41af171505cc411d61252fb6cb3fa0017b679f8bb2305b26a285fa2737f175668d0dff91cc1b66ac1fb663c9bc59509846d6ec05345bd908eda73e670af888da41af171505"
    }
  ]
}
```

* `Code 500`: Beacon node internal error.

```
{
  "code": 500,
  "message": "Internal server error"
}
```

***

#### `POST /eth/v1/beacon/pool/voluntary_exits`

> Submits the SignedVoluntaryExit object to the node's pool.

Submits SignedVoluntaryExit object to node's pool and if passes validation node MUST broadcast it to network.

**Parameters**

* `<request body>` (required):

```
{
  "message": {
    "epoch": "1",
    "validator_index": "1"
  },
  "signature": "0x1b66ac1fb663c9bc59509846d6ec05345bd908eda73e670af888da41af171505cc411d61252fb6cb3fa0017b679f8bb2305b26a285fa2737f175668d0dff91cc1b66ac1fb663c9bc59509846d6ec05345bd908eda73e670af888da41af171505"
}
```

**Request example**

```bash
curl -X POST "https://rpc.crypto-chief.com/gnosis-beacon/{YOUR_API_KEY}/eth/v1/beacon/pool/voluntary_exits" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{request body}'
```

**Responses**

* `Code 200`: Voluntary exit is stored in node and broadcasted to network.
* `Code 400`: Invalid voluntary exit.

```
{
  "code": 400,
  "message": "Invalid voluntary exit, it will never pass validation so it's rejected"
}
```

* Beacon node internal error.

```
{
  "code": 500,
  "message": "Internal server error"
}
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-rpc.crypto-chief.com/chains/gnosis-beacon/beacon-part-3.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
